/**
 * Angular App Config Service.
 *
 * @file Main Angular's application service provider.
 */
import { NgZone } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/take';
import { ProductModel } from './data.model';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { BoxtopService } from './boxtop.service';
export declare class AppConfigService {
    private http;
    objBoxTop: BoxtopService;
    private rewardGridPath;
    private objCoupons;
    private _arrPromoRule;
    shopCouponRefreshSource: BehaviorSubject<boolean>;
    shopCouponRefresh: import("rxjs").Observable<boolean>;
    rewardsRefreshSource: BehaviorSubject<boolean>;
    rewardsRefresh: import("rxjs").Observable<boolean>;
    postUserInfoSource: BehaviorSubject<String>;
    userInfoRefresh: import("rxjs").Observable<String>;
    constructor(http: HttpClient, zone: NgZone, objBoxTop: BoxtopService);
    /**
     * Gets all hidden inputs to bring data into Angular application.
     *
     * @see app.module.ts
     */
    getHiddenInputs(): void;
    getPromorulesArray(): any[];
    getBogoLabel(): String;
    getPromoDescription(): String;
    getPromoDescriptionAPI(product: any): void;
    getAppContext(): any;
    getProductDetailPath(): string;
    getCouponDetailPathShop(): string;
    getCouponDetailPathWww(): string;
    getRewardGridPathWww(): string;
    promoDescription(product: any): void;
    checkStrikeThrough(product: any): void;
    getJ4UCoupons(): any;
    getCoupons(product: any): void;
    clipCoupon(couponId: any): void;
    isLSCompatible(): any;
    _hasLSCoupons(): boolean;
    _hasLSRewards(): boolean;
    private _get;
    private _getRewards;
    _hasLSDeals(): boolean;
    private _getDeals;
    loadRemoteCoupons(): void;
    isStoreChange(): any;
    private _set;
    initCouponRelatedFunc(): void;
    isEmpty(obj: any): boolean;
    getCouponByUpc(upc: any): any[];
    /**
     * Check Unattended Delivery and restricted items.
     *
     * @returns {boolean} It's true if item is restricted and false if it's not restricted.
     */
    checkUnAttendedDelivery(product?: ProductModel): boolean;
    /**
     * Check if provided UPC has coupons in LocalStorage and returns true or folse
     *
     * @param {string} upc Product unique upc code.
     */
    checkHasCouponsByUPC(upc: any): boolean;
    /**
     *
     *
     *
     */
    getCouponByAisleName(aisleName: String): any;
    getClippedCouponByUpc(upc: string): {
        totalCoupons: number;
        totalClippedCoupons: number;
        clippedCoupons: any[];
    };
    isClipped(offerId: any): boolean;
    displayCouponInFullCart(): void;
    getUpcByOffers(offerId: any): any[];
    getOffer(offerId: any): string;
    /**
     * Get coupon type mapping.
     *
     * @param {string} type Coupon type: MF, PD, CC, SC.
     */
    getCouponType(type: string): string;
    prop65WarningMessage(product: any): void;
    initServiceCall(): void;
    updateEcomGalleryCoupon(couponId: any): void;
    checkBoxTopRegistered: () => void;
}
